<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.2.3</title>
</head><body onload="setBrowserTitle('HttpCore NIO 4.2.3: org.apache.http.impl.nio: Coverage Clouds')">
<table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
  <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage Cloud Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:36:27 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Clouds</span></div>
        
                    	<div class="navBar"><a href="../../../../../proj-risks.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="quick-wins.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.nio:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      612
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      2,968
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      315
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.58
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      226
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      1,705
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.51
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      10.69
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      171
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      16
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1.84
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      16
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.nio:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      612
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      2,968
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      315
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.58
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      226
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      1,705
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.51
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      10.69
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      171
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      16
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      1.84
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      16
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1"></td></tr>

<tr><td class="hbreak" colspan="1">
   <div style="position:relative;height:30px;">
   <div id="mapnav" >
       <ul>
                                                                        <li class="">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_risks;" onclick="window.location.href='pkg-risks.html'">Package Risks</label>
                        </div>
                    </div>
                </li>
                                                                                 <li class="mapactive">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_quick_wins;" onclick="window.location.href='quick-wins.html'">Quick Wins</label>
                        </div>
                    </div>
                </li>
                   </ul>
   </div>
          <div class="cloudowner"><a href="pkg-summary.html">org.apache.http.impl.nio</a></div>
      </div>

<div class="tags roundedLarge">
   <b class="ctop tabbedLeftCnr"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
   <div class="roundedContent" style="padding: 5px;">
		<form action="nada" id="cloudDepthForm">
	   <input
		id="cloudDepthCheckbox"
		type="checkbox"
		checked="checked" name="sub-packages" onclick="showDeepPackageCloud(this.checked)"/>
		<label for="cloudDepthCheckbox">Include classes from sub-packages</label>
	</form>
	
      <div id="deepPackageCloud"  >
      
	 	 
	       <a href="../nio/reactor/AbstractIODispatch.html#AbstractIODispatch" class="tag"
	  style="font-size: 19px;color:#3405ca"
	  title="# Elements - 96 , # Elements Untested - 32 ">AbstractIODispatch</a>
   
	 	 
	       <a href="../nio/reactor/AbstractIOReactor.html#AbstractIOReactor" class="tag"
	  style="font-size: 40px;color:#cb0533"
	  title="# Elements - 283 , # Elements Untested - 98 ">AbstractIOReactor</a>
   
	 	 
	       <a href="../nio/codecs/AbstractMessageParser.html#AbstractMessageParser" class="tag"
	  style="font-size: 21px;color:#0205fc"
	  title="# Elements - 110 , # Elements Untested - 3 ">AbstractMessageParser</a>
   
	 	 
	       <a href="../nio/codecs/AbstractMessageWriter.html#AbstractMessageWriter" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 25 , # Elements Untested - 5 ">AbstractMessageWriter</a>
   
	 	 
	       <a href="../nio/reactor/AbstractMultiworkerIOReactor.html#AbstractMultiworkerIOReactor" class="tag"
	  style="font-size: 37px;color:#990565"
	  title="# Elements - 260 , # Elements Untested - 76 ">AbstractMultiworkerIOReactor</a>
   
	 	 
	       <a href="../nio/reactor/BaseIOReactor.html#BaseIOReactor" class="tag"
	  style="font-size: 19px;color:#1b05e3"
	  title="# Elements - 93 , # Elements Untested - 21 ">BaseIOReactor</a>
   
	 	 
	       <a href="../nio/pool/BasicNIOConnFactory.html#BasicNIOConnFactory" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 29 , # Elements Untested - 8 ">BasicNIOConnFactory</a>
   
	 	 
	       <a href="../nio/pool/BasicNIOConnPool.html#BasicNIOConnPool" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 21 , # Elements Untested - 4 ">BasicNIOConnPool</a>
   
	 	 
	       <a href="../nio/reactor/ChannelEntry.html#ChannelEntry" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 20 , # Elements Untested - 2 ">ChannelEntry</a>
   
	 	 
	       <a href="../nio/codecs/ChunkDecoder.html#ChunkDecoder" class="tag"
	  style="font-size: 28px;color:#0205fc"
	  title="# Elements - 179 , # Elements Untested - 7 ">ChunkDecoder</a>
   
	 	 
	       <a href="../nio/codecs/ChunkEncoder.html#ChunkEncoder" class="tag"
	  style="font-size: 16px;color:#0205fc"
	  title="# Elements - 67 , # Elements Untested - 10 ">ChunkEncoder</a>
   
	 	 
	       <a href="../nio/DefaultClientIOEventDispatch.html#DefaultClientIOEventDispatch" class="tag"
	  style="font-size: 12px;color:#3405ca"
	  title="# Elements - 34 , # Elements Untested - 34 ">DefaultClientIOEventDispatch</a>
   
	 	 
	       <a href="../nio/reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor" class="tag"
	  style="font-size: 24px;color:#660598"
	  title="# Elements - 146 , # Elements Untested - 58 ">DefaultConnectingIOReactor</a>
   
	 	 
	       <a href="../nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="# Elements - 37 , # Elements Untested - 17 ">DefaultHttpClientIODispatch</a>
   
	 	 
	       <a href="../nio/DefaultHttpServerIODispatch.html#DefaultHttpServerIODispatch" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="# Elements - 36 , # Elements Untested - 13 ">DefaultHttpServerIODispatch</a>
   
	 	 
	       <a href="../nio/reactor/DefaultListeningIOReactor.html#DefaultListeningIOReactor" class="tag"
	  style="font-size: 24px;color:#660598"
	  title="# Elements - 146 , # Elements Untested - 57 ">DefaultListeningIOReactor</a>
   
	 	 
	       <a href="../nio/DefaultNHttpClientConnection.html#DefaultNHttpClientConnection" class="tag"
	  style="font-size: 24px;color:#3405ca"
	  title="# Elements - 145 , # Elements Untested - 30 ">DefaultNHttpClientConnection</a>
   
	 	 
	       <a href="../nio/DefaultNHttpClientConnectionFactory.html#DefaultNHttpClientConnectionFactory" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 26 , # Elements Untested - 6 ">DefaultNHttpClientConnectionFactory</a>
   
	 	 
	       <a href="../nio/DefaultNHttpServerConnection.html#DefaultNHttpServerConnection" class="tag"
	  style="font-size: 25px;color:#1b05e3"
	  title="# Elements - 147 , # Elements Untested - 22 ">DefaultNHttpServerConnection</a>
   
	 	 
	       <a href="../nio/DefaultNHttpServerConnectionFactory.html#DefaultNHttpServerConnectionFactory" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 26 , # Elements Untested - 8 ">DefaultNHttpServerConnectionFactory</a>
   
	 	 
	       <a href="../nio/DefaultServerIOEventDispatch.html#DefaultServerIOEventDispatch" class="tag"
	  style="font-size: 12px;color:#3405ca"
	  title="# Elements - 33 , # Elements Untested - 33 ">DefaultServerIOEventDispatch</a>
   
	 	 
	       <a href="../nio/reactor/ExceptionEvent.html#ExceptionEvent" class="tag"
	  style="font-size: 11px;color:#0205fc"
	  title="# Elements - 20 , # Elements Untested - 8 ">ExceptionEvent</a>
   
	 	 
	       <a href="../nio/codecs/HttpRequestParser.html#HttpRequestParser" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 11 , # Elements Untested - 11 ">HttpRequestParser</a>
   
	 	 
	       <a href="../nio/codecs/HttpRequestWriter.html#HttpRequestWriter" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 5 , # Elements Untested - 5 ">HttpRequestWriter</a>
   
	 	 
	       <a href="../nio/codecs/HttpResponseParser.html#HttpResponseParser" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 11 , # Elements Untested - 11 ">HttpResponseParser</a>
   
	 	 
	       <a href="../nio/codecs/HttpResponseWriter.html#HttpResponseWriter" class="tag"
	  style="font-size: 9px;color:#0205fc"
	  title="# Elements - 5 , # Elements Untested - 5 ">HttpResponseWriter</a>
   
	 	 
	       <a href="../nio/reactor/IOReactorConfig.html#IOReactorConfig" class="tag"
	  style="font-size: 16px;color:#3405ca"
	  title="# Elements - 70 , # Elements Untested - 34 ">IOReactorConfig</a>
   
	 	 
	       <a href="../nio/reactor/IOSessionImpl.html#IOSessionImpl" class="tag"
	  style="font-size: 31px;color:#e4051a"
	  title="# Elements - 205 , # Elements Untested - 108 ">IOSessionImpl</a>
   
	 	 
	       <a href="../nio/codecs/IdentityDecoder.html#IdentityDecoder" class="tag"
	  style="font-size: 16px;color:#1b05e3"
	  title="# Elements - 71 , # Elements Untested - 14 ">IdentityDecoder</a>
   
	 	 
	       <a href="../nio/codecs/IdentityEncoder.html#IdentityEncoder" class="tag"
	  style="font-size: 12px;color:#1b05e3"
	  title="# Elements - 32 , # Elements Untested - 18 ">IdentityEncoder</a>
   
	 	 
	       <a href="../nio/reactor/InterestOpEntry.html#InterestOpEntry" class="tag"
	  style="font-size: 10px;color:#1b05e3"
	  title="# Elements - 16 , # Elements Untested - 16 ">InterestOpEntry</a>
   
	 	 
	       <a href="../nio/codecs/LengthDelimitedDecoder.html#LengthDelimitedDecoder" class="tag"
	  style="font-size: 21px;color:#1b05e3"
	  title="# Elements - 112 , # Elements Untested - 14 ">LengthDelimitedDecoder</a>
   
	 	 
	       <a href="../nio/codecs/LengthDelimitedEncoder.html#LengthDelimitedEncoder" class="tag"
	  style="font-size: 15px;color:#1b05e3"
	  title="# Elements - 63 , # Elements Untested - 12 ">LengthDelimitedEncoder</a>
   
	 	 
	       <a href="../nio/reactor/ListenerEndpointImpl.html#ListenerEndpointImpl" class="tag"
	  style="font-size: 18px;color:#3405ca"
	  title="# Elements - 86 , # Elements Untested - 26 ">ListenerEndpointImpl</a>
   
	 	 
	       <a href="../nio/NHttpClientEventHandlerAdaptor.html#NHttpClientEventHandlerAdaptor" class="tag"
	  style="font-size: 12px;color:#3405ca"
	  title="# Elements - 33 , # Elements Untested - 33 ">NHttpClientEventHandlerAdaptor</a>
   
	 	 
	       <a href="../nio/NHttpConnectionBase.html#NHttpConnectionBase" class="tag"
	  style="font-size: 32px;color:#990565"
	  title="# Elements - 215 , # Elements Untested - 82 ">NHttpConnectionBase</a>
   
	 	 
	       <a href="../nio/NHttpServerEventHandlerAdaptor.html#NHttpServerEventHandlerAdaptor" class="tag"
	  style="font-size: 12px;color:#3405ca"
	  title="# Elements - 33 , # Elements Untested - 33 ">NHttpServerEventHandlerAdaptor</a>
   
	 	 
	       <a href="../nio/SSLClientIOEventDispatch.html#SSLClientIOEventDispatch" class="tag"
	  style="font-size: 17px;color:#990565"
	  title="# Elements - 76 , # Elements Untested - 76 ">SSLClientIOEventDispatch</a>
   
	 	 
	       <a href="../nio/ssl/SSLClientIOEventDispatch.html#SSLClientIOEventDispatch" class="tag"
	  style="font-size: 12px;color:#3405ca"
	  title="# Elements - 32 , # Elements Untested - 32 ">SSLClientIOEventDispatch</a>
   
	 	 
	       <a href="../nio/reactor/SSLIOSession.html#SSLIOSession" class="tag"
	  style="font-size: 11px;color:#3405ca"
	  title="# Elements - 26 , # Elements Untested - 26 ">SSLIOSession</a>
   
	 	 
	       <a href="../nio/reactor/SSLIOSessionHandlerAdaptor.html#SSLIOSessionHandlerAdaptor" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 11 , # Elements Untested - 11 ">SSLIOSessionHandlerAdaptor</a>
   
	 	 
	       <a href="../nio/SSLNHttpClientConnectionFactory.html#SSLNHttpClientConnectionFactory" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="# Elements - 42 , # Elements Untested - 20 ">SSLNHttpClientConnectionFactory</a>
   
	 	 
	       <a href="../nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory" class="tag"
	  style="font-size: 13px;color:#1b05e3"
	  title="# Elements - 42 , # Elements Untested - 20 ">SSLNHttpServerConnectionFactory</a>
   
	 	 
	       <a href="../nio/SSLServerIOEventDispatch.html#SSLServerIOEventDispatch" class="tag"
	  style="font-size: 17px;color:#990565"
	  title="# Elements - 75 , # Elements Untested - 75 ">SSLServerIOEventDispatch</a>
   
	 	 
	       <a href="../nio/ssl/SSLServerIOEventDispatch.html#SSLServerIOEventDispatch" class="tag"
	  style="font-size: 12px;color:#3405ca"
	  title="# Elements - 31 , # Elements Untested - 31 ">SSLServerIOEventDispatch</a>
   
	 	 
	       <a href="../nio/reactor/SSLSetupHandlerAdaptor.html#SSLSetupHandlerAdaptor" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 11 , # Elements Untested - 11 ">SSLSetupHandlerAdaptor</a>
   
	 	 
	       <a href="../nio/reactor/SessionHandle.html#SessionHandle" class="tag"
	  style="font-size: 12px;color:#3405ca"
	  title="# Elements - 30 , # Elements Untested - 30 ">SessionHandle</a>
   
	 	 
	       <a href="../nio/reactor/SessionInputBufferImpl.html#SessionInputBufferImpl" class="tag"
	  style="font-size: 24px;color:#1b05e3"
	  title="# Elements - 143 , # Elements Untested - 12 ">SessionInputBufferImpl</a>
   
	 	 
	       <a href="../nio/reactor/SessionOutputBufferImpl.html#SessionOutputBufferImpl" class="tag"
	  style="font-size: 21px;color:#1b05e3"
	  title="# Elements - 116 , # Elements Untested - 14 ">SessionOutputBufferImpl</a>
   
	 	 
	       <a href="../nio/reactor/SessionRequestHandle.html#SessionRequestHandle" class="tag"
	  style="font-size: 10px;color:#0205fc"
	  title="# Elements - 12 , # Elements Untested - 4 ">SessionRequestHandle</a>
   
	 	 
	       <a href="../nio/reactor/SessionRequestImpl.html#SessionRequestImpl" class="tag"
	  style="font-size: 24px;color:#990565"
	  title="# Elements - 139 , # Elements Untested - 81 ">SessionRequestImpl</a>
      </div>
   
      <div id="shallowPackageCloud"  style="display: none"  >
      
	 	 
	       <a href="../nio/DefaultClientIOEventDispatch.html#DefaultClientIOEventDispatch" class="tag"
	  style="font-size: 13px;color:#4d05b1"
	  title="# Elements - 34 , # Elements Untested - 34 ">DefaultClientIOEventDispatch</a>
   
	 	 
	       <a href="../nio/DefaultHttpClientIODispatch.html#DefaultHttpClientIODispatch" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="# Elements - 37 , # Elements Untested - 17 ">DefaultHttpClientIODispatch</a>
   
	 	 
	       <a href="../nio/DefaultHttpServerIODispatch.html#DefaultHttpServerIODispatch" class="tag"
	  style="font-size: 14px;color:#1b05e3"
	  title="# Elements - 36 , # Elements Untested - 13 ">DefaultHttpServerIODispatch</a>
   
	 	 
	       <a href="../nio/DefaultNHttpClientConnection.html#DefaultNHttpClientConnection" class="tag"
	  style="font-size: 29px;color:#4d05b1"
	  title="# Elements - 145 , # Elements Untested - 30 ">DefaultNHttpClientConnection</a>
   
	 	 
	       <a href="../nio/DefaultNHttpClientConnectionFactory.html#DefaultNHttpClientConnectionFactory" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 26 , # Elements Untested - 6 ">DefaultNHttpClientConnectionFactory</a>
   
	 	 
	       <a href="../nio/DefaultNHttpServerConnection.html#DefaultNHttpServerConnection" class="tag"
	  style="font-size: 30px;color:#3405ca"
	  title="# Elements - 147 , # Elements Untested - 22 ">DefaultNHttpServerConnection</a>
   
	 	 
	       <a href="../nio/DefaultNHttpServerConnectionFactory.html#DefaultNHttpServerConnectionFactory" class="tag"
	  style="font-size: 12px;color:#0205fc"
	  title="# Elements - 26 , # Elements Untested - 8 ">DefaultNHttpServerConnectionFactory</a>
   
	 	 
	       <a href="../nio/DefaultServerIOEventDispatch.html#DefaultServerIOEventDispatch" class="tag"
	  style="font-size: 13px;color:#4d05b1"
	  title="# Elements - 33 , # Elements Untested - 33 ">DefaultServerIOEventDispatch</a>
   
	 	 
	       <a href="../nio/NHttpClientEventHandlerAdaptor.html#NHttpClientEventHandlerAdaptor" class="tag"
	  style="font-size: 13px;color:#4d05b1"
	  title="# Elements - 33 , # Elements Untested - 33 ">NHttpClientEventHandlerAdaptor</a>
   
	 	 
	       <a href="../nio/NHttpConnectionBase.html#NHttpConnectionBase" class="tag"
	  style="font-size: 40px;color:#e4051a"
	  title="# Elements - 215 , # Elements Untested - 82 ">NHttpConnectionBase</a>
   
	 	 
	       <a href="../nio/NHttpServerEventHandlerAdaptor.html#NHttpServerEventHandlerAdaptor" class="tag"
	  style="font-size: 13px;color:#4d05b1"
	  title="# Elements - 33 , # Elements Untested - 33 ">NHttpServerEventHandlerAdaptor</a>
   
	 	 
	       <a href="../nio/SSLClientIOEventDispatch.html#SSLClientIOEventDispatch" class="tag"
	  style="font-size: 19px;color:#cb0533"
	  title="# Elements - 76 , # Elements Untested - 76 ">SSLClientIOEventDispatch</a>
   
	 	 
	       <a href="../nio/SSLNHttpClientConnectionFactory.html#SSLNHttpClientConnectionFactory" class="tag"
	  style="font-size: 15px;color:#3405ca"
	  title="# Elements - 42 , # Elements Untested - 20 ">SSLNHttpClientConnectionFactory</a>
   
	 	 
	       <a href="../nio/SSLNHttpServerConnectionFactory.html#SSLNHttpServerConnectionFactory" class="tag"
	  style="font-size: 15px;color:#3405ca"
	  title="# Elements - 42 , # Elements Untested - 20 ">SSLNHttpServerConnectionFactory</a>
   
	 	 
	       <a href="../nio/SSLServerIOEventDispatch.html#SSLServerIOEventDispatch" class="tag"
	  style="font-size: 19px;color:#cb0533"
	  title="# Elements - 75 , # Elements Untested - 75 ">SSLServerIOEventDispatch</a>
      </div>
   
   </div>
   <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
</div>

</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:36:54 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
</body>
</html>
